---
title: "Spring"
tags: spring java
author: "Benoit 'badetitou' Verhaeghe"
license: WTFPL
license_url: http://www.wtfpl.net/
---

# Objectifs

L'objectif de Spring est de fournir un ensemble d'outils permettant de compiler et déployer un serveur partout en se basant sur la JAVA machine.

Avec Spring vous pouvez créer le serveur et le tester et le lancer n'importe où. Tout cela avec avec un model [REST](https://fr.wikipedia.org/wiki/Representational_state_transfer).

Vous trouverez ici une partie des annotations SPRING et comment les utiliser

# Annotations

<table>
    <thead>
        <tr>
            <th>Annotations</th>
            <th>Définitions</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>@SpringBootApplication</td>
            <td>Classe de démarrage de Spring. C'est une compilation d'annotation. Elle permet entre autres de detecter les classes du même package définit comme controller Spring.</td>
        </tr>
        <tr>
            <td>@EnableAutoConfiguration</td>
            <td>Auto-configuration de Spring</td>
        </tr>
        <tr>
            <td>@Controller</td>
            <td>Definit une classe comme controller de Spring</td>
        </tr>
        <tr>
            <td>@RestController</td>
            <td>Definit une classe comme controller Spring pour faire du REST.</td>
        </tr>
        <tr>
            <td>@RestMapping</td>
            <td>Definit le chemin vers un élement d'une classe REST.</td>
        </tr>
    </tbody>
</table>
